<template>
  <div>
    <el-tabs
      v-model="activeName"
      type="border-card"
      @tab-click="handleClick"
      style="height: 100%"
    >
      <el-tab-pane label="经常检查" name="1" style="height: 100%">
        <often-inspect v-if="activeName == '1'" />
      </el-tab-pane>
      <el-tab-pane label="定期检查" name="2" style="height: 100%">
        <regular-inspect v-if="activeName == '2'" />
      </el-tab-pane>
      <el-tab-pane label="病害经常检查" name="3" style="height: 100%">
        <often-diease v-if="activeName == '3'" />
      </el-tab-pane>
      <el-tab-pane label="病害定期检查" name="4" style="height: 100%">
        <regular-diease v-if="activeName == '4'" />
      </el-tab-pane>
      <el-tab-pane label="养护记录" name="5" style="height: 100%">
        <main-records v-if="activeName == '5'" />
      </el-tab-pane>
    </el-tabs>
  </div>
</template>
<script>
import OftenInspect from './OftenInspect.vue'
import RegularInspect from './RegularInspect.vue'
import OftenDiease from './OftenDiease.vue'
import RegularDiease from './RegularDiease.vue'
import mainRecords from '../mainRecords.vue'
export default {
  components: {
    OftenInspect,
    RegularInspect,
    OftenDiease,
    RegularDiease,
    mainRecords,
  },
  data() {
    return {
      activeName: '1',
    }
  },
  methods: {
    handleClick(tab, event) {
      console.log(tab, event)
    },
  },
}
</script>
<style lang="scss" scoped>
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
  //  color: #606266;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
  // color: #211bce;
  font-weight: bold;
}
/deep/.el-tabs--border-card {
  height: 100%;
}
</style>
